xcb_glx_get_polygon_stipple(3)

NAME
xcb_glx_get_polygon_stipple -

SYNOPSIS
#include <xcb/glx.h>

  Request function

xcb_glx_get_polygon_stipple_cookie_t xcb_glx_get_polygon_stipple(xcb_connection_t *conn, xcb_glx_context_tag_t context_tag, uint8_t lsb_first);

  Reply datastructure

typedef struct xcb_glx_get_polygon_stipple_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint8_t  pad1[24];
} xcb_glx_get_polygon_stipple_reply_t;

  Reply function

xcb_glx_get_polygon_stipple_reply_t *xcb_glx_get_polygon_stipple_reply(xcb_connection_t *conn, xcb_glx_get_polygon_stipple_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

uint8_t *xcb_glx_get_polygon_stipple_data(const xcb_glx_get_polygon_stipple_request_t *reply);

int xcb_glx_get_polygon_stipple_data_length(const xcb_glx_get_polygon_stipple_reply_t *reply);

xcb_generic_iterator_t xcb_glx_get_polygon_stipple_data_end(const xcb_glx_get_polygon_stipple_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

context_tag
    TODO: NOT YET DOCUMENTED.

lsb_first
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_GLX_GET_POLYGON_STIPPLE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

DESCRIPTION

RETURN VALUE
Returns an xcb_glx_get_polygon_stipple_cookie_t. Errors have to be handled when calling the reply function xcb_glx_get_polygon_stipple_reply. If you want to handle errors in the event loop instead, use xcb_glx_get_polygon_stipple_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from glx.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.